0 Replies Latest reply on Dec 5, 2012 11:09 PM by Kryol

    IO-Socket-SSL 1.80 trouble

    Kryol Lurker

      Hi,

       

      After update IO-Socket-SSL from 1.77 to 1.80 and trying to connect to a Vsphere resources I get:

       

      *******************************************************************
      Using the default of SSL_verify_mode of SSL_VERIFY_NONE for client
      is depreciated! Please set SSL_verify_mode to SSL_VERIFY_PEER
      together with SSL_ca_file|SSL_ca_path for verification.
      If you really don't want to verify the certificate and keep the
      connection open to Man-In-The-Middle attacks please set
      SSL_verify_mode explicitly to SSL_VERIFY_NONE in your application.
      *******************************************************************
        at /usr/local/lib/perl5/site_perl/5.12.4/LWP/Protocol/http.pm line 31

       

      How to fix this?

       

      Of course I can downgrade to 1.77 but I would like to get workaround for 1.80.